/*
 * I2C Communications Example
 * Arduino Uno as master,
 * ATtiny45 & ATtiny44 Hello Boards as slaves
 * 
 * Select slave via serial monitor; slave
 * sends back 1 byte (count value) to master
 * 
 * Modified from:
 * https://thewanderingengineer.com/2014/02/17/attiny-i2c-slave/
 * 
 * Steven Chew
 * Date: 2021 Nov 28
 * Mitalee Parikh
 */
// Arduino Uno code

#include <Wire.h>
#define t45addr 4
#define t44addr 5

int val;

void setup()
{
 Wire.begin(); // join i2c bus (address optional for master)
 Serial.begin(9600); // start serial for output
}
 
void loop()
{
  if (Serial.available() > 0){
    val = Serial.read();

    // routine for t85
    if (val == '4'){
      Wire.requestFrom(t45addr, 1); // request 1 byte from slave device address 4
      while(Wire.available()) // slave may send less than requested
      {
        int i = Wire.read(); // receive a byte as character
        Serial.print("Received from t45: ");
        Serial.println(i); // print the character
      }
      delay(500);
    }
    
    // routine for t44
    if (val == '5'){
      Wire.requestFrom(t44addr, 1); // request 1 byte from slave device address 5
      while(Wire.available()) // slave may send less than requested
      {
        int i = Wire.read(); // receive a byte as character
        Serial.print("Received from t44: ");
        Serial.println(i); // print the character
      }
      delay(500);
    }
  }
} // end loop
